## org.eclipse.emf.ecore.util
Class DelegatingEcoreEList.UnmodifiableEList<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.DelegatingEList<E>
                  org.eclipse.emf.common.util.DelegatingEList.UnmodifiableEList<E>
                      org.eclipse.emf.ecore.util.DelegatingEcoreEList.UnmodifiableEList<E>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, EList<E>, EStructuralFeature.Setting, InternalEList<E>, InternalEList.Unsettable<E>

Enclosing class:
  DelegatingEcoreEList<E>

    public static class DelegatingEcoreEList.UnmodifiableEList<E>

extends DelegatingEList.UnmodifiableEList<E>
implements InternalEList.Unsettable<E>, EStructuralFeature.Setting

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.DelegatingEList
`DelegatingEList.EIterator<E1>, DelegatingEList.EListIterator<E1>, DelegatingEList.NonResolvingEIterator<E1>, DelegatingEList.NonResolvingEListIterator<E1>, DelegatingEList.UnmodifiableEList<E>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.InternalEList
`InternalEList.Unsettable<E>`

Field Summary
`protected EStructuralFeature` `eStructuralFeature`
`protected InternalEObject` `owner`

Fields inherited from class org.eclipse.emf.common.util.DelegatingEList.UnmodifiableEList
`underlyingList`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`DelegatingEcoreEList.UnmodifiableEList(InternalEObject owner, EStructuralFeature eStructuralFeature, java.util.List<E> underlyingList)`

Method Summary
`NotificationChain` `basicAdd(E object, NotificationChain notifications)` Adds the object without updating the inverse.
`E` `basicGet(int index)` Returns the object at the index without `resolving` it.
`java.util.Iterator<E>` `basicIterator()` Returns a read-only iterator that does not `resolve` objects.
`java.util.List<E>` `basicList()` Returns an unsafe list that provides a `non-resolving` view of the backing store list.
`java.util.ListIterator<E>` `basicListIterator()` Returns a read-only list iterator that does not `resolve` objects.
`java.util.ListIterator<E>` `basicListIterator(int index)` Returns a read-only list iterator advanced to the given index that does not `resolve` objects.
`NotificationChain` `basicRemove(java.lang.Object object, NotificationChain notifications)` Removes the object with without updating the inverse.
`java.lang.Object` `get(boolean resolve)` Returns the value held by the feature of the object; it optionally `resolves` the value.
`EObject` `getEObject()` Returns the object holding a value.
`EStructuralFeature` `getEStructuralFeature()` Returns the specific feature holding a value for the object.
`boolean` `isSet()` Returns whether a value is held by the feature of the object.
`void` `set(java.lang.Object newValue)` Set the value held by the feature of the object.
`void` `unset()` Unsets the value held by the feature of the object.

Methods inherited from class org.eclipse.emf.common.util.DelegatingEList.UnmodifiableEList
`add, add, addAll, addAll, clear, delegateList, iterator, listIterator, listIterator, move, move, remove, remove, removeAll, retainAll, set`

Methods inherited from class org.eclipse.emf.common.util.DelegatingEList

`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, canContainNull, contains, containsAll, delegateAdd, delegateAdd, delegateBasicList, delegateClear, delegateContains, delegateContainsAll, delegateEquals, delegateGet, delegateHashCode, delegateIndexOf, delegateIsEmpty, delegateIterator, delegateLastIndexOf, delegateListIterator, delegateMove, delegateRemove, delegateSet, delegateSize, delegateToArray, delegateToArray, delegateToString, didAdd, didChange, didClear, didMove, didRemove, didSet, doClear, equalObjects, equals, get, getDuplicates, getNonDuplicates, hashCode, indexOf, isEmpty, isUnique, lastIndexOf, resolve, setUnique, size, toArray, toArray, toString, useEquals, validate`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addUnique, addUnique, setUnique`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Field Detail

### owner

    protected final InternalEObject owner

### eStructuralFeature

    protected final EStructuralFeature eStructuralFeature

Constructor Detail

### DelegatingEcoreEList.UnmodifiableEList

    public DelegatingEcoreEList.UnmodifiableEList(InternalEObject owner,
                                                  EStructuralFeature eStructuralFeature,
                                                  java.util.List<E> underlyingList)

Method Detail

### basicGet

    public E basicGet(int index)

  Description copied from class: `DelegatingEList`
  Returns the object at the index without `resolving` it.

  Specified by:
    `basicGet` in interface `InternalEList<E>`
  Overrides:
    `basicGet` in class `DelegatingEList<E>`
  Parameters:
    `index` - the position in question.
  Returns:
    the object at the index.
  See Also:
    `DelegatingEList.resolve(int, E)`, `DelegatingEList.get(int)`

### basicList

    public java.util.List<E> basicList()

  Description copied from class: `DelegatingEList`
  Returns an unsafe list that provides a `non-resolving` view of the backing store list.

  Specified by:
    `basicList` in interface `InternalEList<E>`
  Overrides:
    `basicList` in class `DelegatingEList<E>`
  Returns:
    an unsafe list that provides a non-resolving view of the backing store list.

### basicIterator

    public java.util.Iterator<E> basicIterator()

  Description copied from class: `DelegatingEList`
  Returns a read-only iterator that does not `resolve` objects. This implementation allocates a `DelegatingEList.NonResolvingEIterator`.

  Specified by:
    `basicIterator` in interface `InternalEList<E>`
  Overrides:
    `basicIterator` in class `DelegatingEList<E>`
  Returns:
    a read-only iterator that does not resolve objects.

### basicListIterator

    public java.util.ListIterator<E> basicListIterator()

  Description copied from class: `DelegatingEList`
  Returns a read-only list iterator that does not `resolve` objects. This implementation allocates a `DelegatingEList.NonResolvingEListIterator`.

  Specified by:
    `basicListIterator` in interface `InternalEList<E>`
  Overrides:
    `basicListIterator` in class `DelegatingEList<E>`
  Returns:
    a read-only list iterator that does not resolve objects.

### basicListIterator

    public java.util.ListIterator<E> basicListIterator(int index)

  Description copied from class: `DelegatingEList`
  Returns a read-only list iterator advanced to the given index that does not `resolve` objects. This implementation allocates a `DelegatingEList.NonResolvingEListIterator`.

  Specified by:
    `basicListIterator` in interface `InternalEList<E>`
  Overrides:
    `basicListIterator` in class `DelegatingEList<E>`
  Parameters:
    `index` - the starting index.
  Returns:
    a read-only list iterator advanced to the index.

### getEObject

    public EObject getEObject()

  Description copied from interface: `EStructuralFeature.Setting`
  Returns the object holding a value.

  Specified by:
    `getEObject` in interface `EStructuralFeature.Setting`
  Returns:
    the object holding a value.

### getEStructuralFeature

    public EStructuralFeature getEStructuralFeature()

  Description copied from interface: `EStructuralFeature.Setting`
  Returns the specific feature holding a value for the object.

  Specified by:
    `getEStructuralFeature` in interface `EStructuralFeature.Setting`
  Returns:
    the specific feature holding a value for the object.

### get

    public java.lang.Object get(boolean resolve)

  Description copied from interface: `EStructuralFeature.Setting`
  Returns the value held by the feature of the object; it optionally `resolves` the value.

  Specified by:
    `get` in interface `EStructuralFeature.Setting`
  Parameters:
    `resolve` - whether to resolve.
  Returns:
    the value held by the feature of the object.
  See Also:
    `EObject.eGet(EStructuralFeature, boolean)`

### set

    public void set(java.lang.Object newValue)

  Description copied from interface: `EStructuralFeature.Setting`
  Set the value held by the feature of the object. If the new value is this setting itself, or is modified as a side effect of modifying this setting (i.e., if it is a view on the setting), the behavior is undefined and will likely result in simply clearing the list.

  Specified by:
    `set` in interface `EStructuralFeature.Setting`
  Parameters:
    `newValue` - the newValue.
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### isSet

    public boolean isSet()

  Description copied from interface: `EStructuralFeature.Setting`
  Returns whether a value is held by the feature of the object.

  Specified by:
    `isSet` in interface `EStructuralFeature.Setting`
  Specified by:
    `isSet` in interface `InternalEList.Unsettable<E>`
  Returns:
    whether a value is held by the feature of the object.
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### unset

    public void unset()

  Description copied from interface: `EStructuralFeature.Setting`
  Unsets the value held by the feature of the object.

  Specified by:
    `unset` in interface `EStructuralFeature.Setting`
  Specified by:
    `unset` in interface `InternalEList.Unsettable<E>`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### basicRemove

    public NotificationChain basicRemove(java.lang.Object object,
                                         NotificationChain notifications)

  Description copied from interface: `InternalEList`
  Removes the object with without updating the inverse.

  Specified by:
    `basicRemove` in interface `InternalEList<E>`

### basicAdd

    public NotificationChain basicAdd(E object,
                                      NotificationChain notifications)

  Description copied from interface: `InternalEList`
  Adds the object without updating the inverse.

  Specified by:
    `basicAdd` in interface `InternalEList<E>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.